Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.psvi
Interface XSNotationDeclaration

All Superinterfaces:
  XSObject

All Known Implementing Classes:
  XSNotationDecl

public interface XSNotationDeclaration
extends XSObject

This interface represents the Notation Declaration schema component. The interface may be updated or replaced.

Method Summary
`XSAnnotation` | `getAnnotation()` Optional.
`java.lang.String` | `getPublicId()` The string representing the public identifier for this notation declaration, if present; `null` otherwise.
`java.lang.String` | `getSystemId()` The URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

Methods inherited from interface org.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getSystemId

    public java.lang.String getSystemId()

  The URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

### getPublicId

    public java.lang.String getPublicId()

  The string representing the public identifier for this notation declaration, if present; `null` otherwise.

### getAnnotation

    public XSAnnotation getAnnotation()

  Optional. An [annotation].

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.